Subject: Re: [PATCH 18/20] TEMP REMOVE import: git: Restrict to non-github origins.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 28 Aug 2022 19:26:11 +0200

Am Sonntag, dem 28.08.2022 um 15:18 +0200 schrieb Hartmut Goebel:
> Anyhow: Why should the generic-git updater be able to find
> a (later) version, if the github updater did not?
Because someone at Microsoft could mess up the API in a way that yields
empty results while keeping regular git unchanged.  I think fallbacks
are nice to have, they are already rare enough to find in Guix.

> And indeed 'guix refresh --list-updaters' without this change
> reported 31.2% for the github updater and 34.9% for the generic-git
> updater.  With this patch, it's only 3.7% for the generic-git
> updater.  (Still the sum of the percent-values is 112%, anyhow better
> then the 146% prior to this change.)
Perhaps instead of generating a lazy sum, we should (via an appropriate
option) generate a histogram counting/reporting the packages covered by
0,1,2,... updaters.

Cheers